%define module_name SQLAlchemy

Summary:	SQL toolkit and object relational mapper for Python
Name:		python-sqlalchemy
Version:	0.5.2
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
URL:		http://www.sqlalchemy.org/
Source0:	http://pypi.python.org/packages/source/S/%{module_name}/%{module_name}-%{version}.tar.gz
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{module_name} is a SQL toolkit and object relational mapper for Python. It
encourages "relational mapping" as opposed to "table mapping" and includes
enterprise-level features such as eager loading, unit-of-work object commits,
topological dependency sorting, and full usage of bind parameters. It
supports MySQL, Postgres, Oracle, and SQLite.

%prep

%setup -q -n %{module_name}-%{version}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}

%__python setup.py install --skip-build --root=%{buildroot} --install-purelib=%{python_sitelib}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGES LICENSE README doc/* examples
%{python_sitelib}/sqlalchemy/
%{python_sitelib}/%{module_name}-%{version}-py*.egg-info/


%changelog
* Sun Mar 15 2009 Michael Scherer <misc@mandriva.org> 0.5.2-1mdv2009.1
+ Revision: 355347
- update to new version
- do not hardcode the module name everywhere
- use a different source url to ease update with mdvsys

* Fri Jan 02 2009 Funda Wang <fundawang@mandriva.org> 0.4.8-2mdv2009.1
+ Revision: 323373
- rebuild

* Thu Nov 13 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.8-1mdv2009.1
+ Revision: 302684
- 0.4.8

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 0.4.7p1-1mdv2009.0
+ Revision: 280565
- New version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.6-2mdv2009.0
+ Revision: 269043
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Lev Givon <lev@mandriva.org> 0.4.6-1mdv2009.0
+ Revision: 218094
- Update to 0.4.6.

* Thu Feb 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.11-1mdv2008.1
+ Revision: 173632
- fix build deps (duh!)
- import python-sqlalchemy


* Thu Feb 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.11-1mdv2008.1
- initial Mandriva package

* Sun Jan 20 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.11-1.RHEL4
- initial Redhat RHEL4 package.
